Debian Bug report logs - #534640
lintian should check that info files contains section and directory entry

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Thu, 25 Jun 2009 23:09:02 UTC

Severity: wishlist

Found in version lintian/2.2.12

Fixed in version lintian/2.2.13

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#534638; Package debian-policy. (Thu, 25 Jun 2009 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 25 Jun 2009 23:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Section about Info documents needs to be updated
Date: Fri, 26 Jun 2009 01:04:49 +0200
Package: debian-policy
Version: 3.8.2.0
Severity: normal

Since the upload of install-info to sid, packages installing info
documentation should no more call install-info in their postinst.
It is now automatically done by the file trigger provided by the
install-info package.

You should however explain that info-files must have the required
entries (INFO-DIR-SECTION, START-INFO-DIR-ENTRY / END-INFO-DIR-ENTRY)
so that they can be registered in the info directory file automatically.
Bugs have been filed about this, example:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=528864

See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for more info
on this transition.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

debian-policy depends on no packages.

debian-policy recommends no packages.

Versions of packages debian-policy suggests:
ii  doc-base                      0.9.3      utilities to manage online documen

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#534638; Package debian-policy. (Thu, 25 Jun 2009 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 25 Jun 2009 23:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 534638@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Raphaël Hertzog <hertzog@debian.org>, 534638@bugs.debian.org
Subject: Re: Bug#534638: debian-policy: Section about Info documents needs to be updated
Date: Fri, 26 Jun 2009 01:22:57 +0200
On Fri, Jun 26, 2009 at 01:04:49AM +0200, Raphaël Hertzog wrote:
> Package: debian-policy
> Version: 3.8.2.0
> Severity: normal
> 
> Since the upload of install-info to sid, packages installing info
> documentation should no more call install-info in their postinst.
> It is now automatically done by the file trigger provided by the
> install-info package.

What about partial lenny to squeeze upgrade ?
Lenny does not provide such a trigger.

> You should however explain that info-files must have the required
> entries (INFO-DIR-SECTION, START-INFO-DIR-ENTRY / END-INFO-DIR-ENTRY)
> so that they can be registered in the info directory file automatically.
> Bugs have been filed about this, example:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=528864

At this point not all programs that generate info files add the above
entries, which make hard to comply with that requirement.
At least debiandoc2info needs to be fixed.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Bug 534638 cloned as bugs 534639, 534640. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 23:30:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `debian-policy' to `lintian'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 23:30:07 GMT) Full text and rfc822 format available.

Changed Bug title to `lintian should check that info files contains section and directory entry' from `debian-policy: Section about Info documents needs to be updated'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 23:30:08 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 23:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534640; Package lintian. (Thu, 25 Jun 2009 23:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Thu, 25 Jun 2009 23:45:05 GMT) Full text and rfc822 format available.

Message #23 received at 534640@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 534640@bugs.debian.org
Subject: Re: Bug#534640: lintian should check that info files contains section and directory entry
Date: Thu, 25 Jun 2009 16:42:06 -0700
Tag: info-document-missing-dir-section
Severity: normal
Certainty: certain
Info: This info document has no INFO-DIR-SECTION line and no
 <tt>--section</tt> option is passed to <tt>install-info</tt> in the
 package <tt>postinst</tt> maintainer script.  <tt>install-info</tt> will
 be unable to determine the section into which this info page should be
 put.  The best solution is to add a line like:
 .
   @dircategory Development
 .
 to the texinfo source so that the generated info file will contain a
 section.  See /usr/share/info/dir for sections to choose from.
 .
 Another alternative that doesn't require modifying the source is to
 explicitly pass a <tt>--section</tt> option to <tt>install-info</tt> in
 the <tt>postinst</tt> maintainer script, although in this case you will
 need to write the <tt>postinst</tt> yourself and not use tools like
 debhelper to do it for you.
Ref: policy 12.2

It's been there for quite a while.  It needs to be modified so that
passing --section to install-info isn't enough, but is there something
more that it needs besides that, or some other problem with the existing
Lintian check?

I assume we should drop the requirement that the maintainer scripts call
install-info and indeed warn if they do, noting that the calls can be
removed.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534640; Package lintian. (Thu, 25 Jun 2009 23:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Thu, 25 Jun 2009 23:54:02 GMT) Full text and rfc822 format available.

Message #28 received at 534640@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 534640@bugs.debian.org
Subject: lintian should check that info files contains section and directory entry
Date: Fri, 26 Jun 2009 01:53:22 +0200
On Fri, 26 Jun 2009, Raphaël Hertzog wrote:
> Since the upload of install-info to sid, packages installing info
> documentation should no more call install-info in their postinst.

Lintian could check this, it's probably best to add this check only once
debhelper has been fixed (see #534639).

> You should however explain that info-files must have the required
> entries (INFO-DIR-SECTION, START-INFO-DIR-ENTRY / END-INFO-DIR-ENTRY)
> so that they can be registered in the info directory file automatically.
> Bugs have been filed about this, example:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=528864

This is the most important check to add in lintian. The long description
should give some hints on how this can be fixed (like in the bugreport).

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534640; Package lintian. (Fri, 26 Jun 2009 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 26 Jun 2009 00:06:03 GMT) Full text and rfc822 format available.

Message #33 received at 534640@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 534640@bugs.debian.org
Subject: Re: Bug#534640: lintian should check that info files contains section and directory entry
Date: Fri, 26 Jun 2009 02:04:21 +0200
On Thu, 25 Jun 2009, Russ Allbery wrote:
> It's been there for quite a while.  It needs to be modified so that
> passing --section to install-info isn't enough, but is there something
> more that it needs besides that, or some other problem with the existing
> Lintian check?

No, I didn't knew about this check.

> I assume we should drop the requirement that the maintainer scripts call
> install-info and indeed warn if they do, noting that the calls can be
> removed.

Yes.

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 05:45:02 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 09 Jul 2009 16:24:39 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Thu, 09 Jul 2009 16:24:39 GMT) Full text and rfc822 format available.

Message #40 received at 534640-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 534640-close@bugs.debian.org
Subject: Bug#534640: fixed in lintian 2.2.13
Date: Thu, 09 Jul 2009 16:17:34 +0000
Source: lintian
Source-Version: 2.2.13

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.2.13.dsc
  to pool/main/l/lintian/lintian_2.2.13.dsc
lintian_2.2.13.tar.gz
  to pool/main/l/lintian/lintian_2.2.13.tar.gz
lintian_2.2.13_all.deb
  to pool/main/l/lintian/lintian_2.2.13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jul 2009 09:11:14 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.2.13
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 516530 533618 534134 534139 534141 534212 534218 534234 534276 534326 534580 534640 534684 534942 535308 535432 535566 535582
Changes: 
 lintian (2.2.13) unstable; urgency=low
 .
   The "triggerized install-info" release.
 .
   * Summary of tag changes:
     + Added:
       - install-info-used-in-maintainer-script
       - package-contains-info-dir-file
     + Removed:
       - info-documents-not-removed
       - install-info-not-called-with-quiet-option
       - missing-comma-after-substvar
       - postrm-calls-install-info
       - preinst-calls-install-info
 .
   * checks/control-file{,.desc}:
     + [RA] Rework missing-separator-between-lines to only include two
       specific package stanzas in the extra tag data and not include
       newlines.  Generalize it to also detect missing commas between
       substvars, replacing missing-comma-after-substvar.
   * checks/cruft{,.desc}:
     + [RA] Don't warn about outdated libtool if the package build-depends
       on libtool.  Thanks, Kurt Roeckx.  (Closes: #534134)
     + [RA] Fix typo in *-contains-ht-tags-file description.  Patch from
       Peter Pentchev.  (Closes: #534218)
   * checks/fields:
     + [ADB] If the Debian r-cran makefile include is used in the rules file,
       cdbs, debhelper and r-base-dev are required in Build-Depends.  Thanks,
       Charles Plessy.  (Closes: #534684)
     + [RA] Allow variable settings before ant, dpatch, and dh when
       checking debian/rules for dependencies.  Thanks, Ryan Niebur.
       (Closes: #535432)
   * checks/files{,.desc}:
     + [RA] Allow non-core Python packages to install files into
       /usr/lib/python*/dist-packages, the extension location for Python
       2.6 and later.  Thanks, Julian Andres Klode.  (Closes: #534212)
     + [RA] Check for /usr/share/info/dir files included in the package.
       Thanks, Bas Zoetekouw.  (Closes: #535566)
   * checks/infofiles{,.desc}:
     + [RA] Ignore dir files; they're a different error that's now caught
       by checks/files.
     + [RA] Remove all checking of maintainer scripts, since info dir
       entries are now handled with triggers.  Now always warn of info
       files without INFO-DIR-SECTION, even if install-info were called
       with a --section argument.  Warn of info files without a DIR-ENTRY
       section.  Thanks, Raphaël Hertzog.  (Closes: #534640)
     + [RA] Fix a bug in the detection of bad info file extensions that
       missed extensions containing the string "info".
     + [RA] Improve the long descriptions of tags about compression of info
       documents.
   * checks/init.d:
     + [RA] Take into account dangling symlinks in /etc/init.d.  Patch from
       Raphael Geissert.  (Closes: #534139)
     + [RA] Don't require symlink init scripts to be conffiles and realize
       they are included in the package even if the symlink is dangling.
       Thanks, Steve Langasek.  (Closes: #534326)
   * checks/manpages:
     + [RA] Don't warn about hyphens used as minus signs inside draft mode,
       since \- cannot be used there.  Based on a patch by Gennaro Oliva.
       (Closes: #535308)
   * checks/patch-systems:
     + [RA] Don't include the package name as extra data in tags that are
       only issued for source packages.  Patch from Raphael Geissert.
   * checks/scripts{,.desc}:
     + [RA] Lower certainty of read-in-maintainer-script to possible and
       mention false positives.  Thanks, Raphaël Hertzog.  (Closes: #534276)
     + [RA] Allow for output redirection when parsing diversions in
       maintainer scripts.  Thanks, Andreas Beckmann.  (Closes: #534942)
     + [ADB] Detect the use of the "source" bashism when the sourced filename
       contains a tilde or consists of a single character.  Thanks, Raphael
       Geissert and Ryan Niebur.
     + [RA] Avoid a false positive in the bashism check for trap with
       signal numbers when the the trap command contains a number.  Thanks,
       Julien Cristau.  (Closes: #534580)
     + [RA] Check for any maintainer script running install-info, since
       this is now handled with triggers.
   * checks/watch-file:
     + [RA] Use a consistent way of displaying the line number of a problem.
 .
   * collection/strings:
     + [ADB] Handle the fact that, when Lintian is run as root, the output of
       "file" on set[gu]id files may include the fact that they are set[gu]id.
       Thanks, Peter Pentchev.  (Closes: #533618)
 .
   * lib/Read_pkglists.pm:
     + [RA] Increment the package list format and expect the archive area
       as an additional argument.  Patch from Raphael Geissert.
   * lib/Spelling.pm:
     + [RA] Add changes misspelling.
     + [RA] Fix correction for endianness.  Thanks, Raphael Geissert.
       (Closes: #535582)
     + [RA] Only strip most punctuation from the end of each word, not from
       anywhere in the string.  We don't want to strip the period from
       res.size.  Thanks, Zack Weinberg.  (Closes: #534234)
   * lib/Tags.pm:
     + [RA] Replace all newlines in tag data with \n, not just the first.
       (Closes: #534141)
 .
   * man/lintian.1:
     + [RA] The archive area may be a comma-separated list of areas.  Patch
       from Raphael Geissert.
 .
   * private/update-coverage:
     + [RA] Provide a breakdown of tags only covered in the legacy test
       suite by test name.
 .
   * reporting/html_reports:
     + [RA] Change area back to section in the loop for generating the
       package index pages to be consistent with the page template.
     + [RA] Allow for multiple archive areas in the front page summary.
     + [RA] Add the archive area to the tag information.
   * reporting/templates/maintainer.tmpl:
     + [RA] Include the archive area in the source package heading if it's
       not main.  Include the archive area in the binary package heading if
       it's different than the source package archive area.
 .
   * unpack/list-{bin,src,udeb}pkg:
     + [RA] Collect information from multiple archive areas and include the
       archive area in the package list.  Patch from Raphael Geissert.
       (Closes: #516530)
Checksums-Sha1: 
 a335e888b483160766ee0602bc3f226530dbbac9 1167 lintian_2.2.13.dsc
 28b0275245d555fb2b7d72a40c691ea873eb65f0 722385 lintian_2.2.13.tar.gz
 b4fb1e784f44f5836441c707cdd3364526081b79 462854 lintian_2.2.13_all.deb
Checksums-Sha256: 
 35afe2ca26173e8f85b5a8da3de97b624b08dd74a69f8912fd64d99c05e90376 1167 lintian_2.2.13.dsc
 4687a24dddc127236466c06d8e4a36476553c0056d54f552d9c200b3027191e0 722385 lintian_2.2.13.tar.gz
 3501496ceddad214f4ff3d9bed5d80c0395b25b62aa415b9fd8d63c1ac475915 462854 lintian_2.2.13_all.deb
Files: 
 43ad42077220df7dfab500621579b181 1167 devel optional lintian_2.2.13.dsc
 c3cdf4c47ae2ce26e28045990e297989 722385 devel optional lintian_2.2.13.tar.gz
 0b5bac0161affb748236d632eeab9a1a 462854 devel optional lintian_2.2.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpWF7oACgkQ+YXjQAr8dHalswCgi//qwHJ1YlKq71YRi5T4Mjm5
Oc4AoIVcKYbp4HwlAElAVBwshOrOxrFm
=V1sp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Aug 2009 07:31:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:50:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.